Updates the job work instruction list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "262dd3cb-b028-4593-aefa-311d017a3865",
  "jobs_id": "13a03980-73c4-42f1-adb2-12f1c2eaaacd",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "21f3573d-bc05-4988-8b22-6c0e6ee22e18",
    "_parent_id": "16202dc5-72e4-4df0-9760-11e108cc42b2",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "1c547117-d7d4-4ce7-81fe-24e68f9a01e5",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "b0c50338-3b42-4e95-b93c-0f110853981d",
      "_parent_id": "fe7f3e5d-38e1-485e-a8c1-02cc6e43dd95",
      "root_parent_id": "3d7339f2-5377-4406-94b5-f1369afb0f37",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "3884a702-5c9b-4782-9eb4-cf5569966a50",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "07d21be2-7c1f-445e-a0ec-cf2b9145e8cd",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "c14552b2-fd97-41da-a4bf-cf01f9d49fe5",
        "_parent_code": "sample string 6",
        "sales_organization_id": "bd462a85-4733-4ec7-b2fd-07466b68df09",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "5dcc638a-e85c-4fed-8b93-b398d5f8f9b8",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "de2eb0bb-b893-42ff-9359-c89c638313db",
          "db_currency_id": "9b20e30c-d928-4cf1-b333-08c2d2ba53e8",
          "db_language_id": "82bdc1ae-5129-4268-b4ce-2756f36bd300",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-14T14:20:33.2054059+00:00"
        },
        "modified_dateutc": "2026-11-14T14:20:33.2054059+00:00"
      },
      "equipment_model_id": "fbf88900-fc29-4823-a526-1fafec80ab5e",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "25eba398-d44b-45ca-b51a-1a37860d66e5",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "fe6c4a25-649d-4a98-91e4-3cdaa7699fe2",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "300944e8-9be4-4af8-8ad3-eec0957acefc",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "64628208-98c5-415f-bed7-71bb3876f62b",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "5dcc638a-e85c-4fed-8b93-b398d5f8f9b8",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "de2eb0bb-b893-42ff-9359-c89c638313db",
            "db_currency_id": "9b20e30c-d928-4cf1-b333-08c2d2ba53e8",
            "db_language_id": "82bdc1ae-5129-4268-b4ce-2756f36bd300",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-14T14:20:33.2054059+00:00"
          },
          "modified_dateutc": "2026-11-14T14:20:33.2054059+00:00"
        },
        "equipment_family_id": "86febab6-5729-4cf1-8cf0-46e0a7101eb9",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "07d21be2-7c1f-445e-a0ec-cf2b9145e8cd",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "c14552b2-fd97-41da-a4bf-cf01f9d49fe5",
          "_parent_code": "sample string 6",
          "sales_organization_id": "bd462a85-4733-4ec7-b2fd-07466b68df09",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "5dcc638a-e85c-4fed-8b93-b398d5f8f9b8",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "de2eb0bb-b893-42ff-9359-c89c638313db",
            "db_currency_id": "9b20e30c-d928-4cf1-b333-08c2d2ba53e8",
            "db_language_id": "82bdc1ae-5129-4268-b4ce-2756f36bd300",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-14T14:20:33.2054059+00:00"
          },
          "modified_dateutc": "2026-11-14T14:20:33.2054059+00:00"
        },
        "date_in_production_since": "2026-11-14T14:20:33.2054059+00:00",
        "date_out_of_production_since": "2026-11-14T14:20:33.2054059+00:00",
        "date_end_support": "2026-11-14T14:20:33.2054059+00:00",
        "sales_organization_id": "4e261b51-85be-4baa-9c36-6c3727c62ff6",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "5dcc638a-e85c-4fed-8b93-b398d5f8f9b8",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "de2eb0bb-b893-42ff-9359-c89c638313db",
          "db_currency_id": "9b20e30c-d928-4cf1-b333-08c2d2ba53e8",
          "db_language_id": "82bdc1ae-5129-4268-b4ce-2756f36bd300",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-14T14:20:33.2054059+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-11-14T14:20:33.2179595+00:00"
      },
      "project_status_id": "89ae9305-c485-414a-a4db-0c261032ab11",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "1f10e203-89f4-4339-8f24-5267f393ce7b",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "73a86a64-e07f-47a3-91d1-b77b903d8a3d",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "5dcc638a-e85c-4fed-8b93-b398d5f8f9b8",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "de2eb0bb-b893-42ff-9359-c89c638313db",
          "db_currency_id": "9b20e30c-d928-4cf1-b333-08c2d2ba53e8",
          "db_language_id": "82bdc1ae-5129-4268-b4ce-2756f36bd300",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-14T14:20:33.2054059+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-11-14T14:20:33.2179595+00:00"
      },
      "company_id": "d4deff0a-bebb-41ab-bfaa-eb6e71c8959f",
      "company_code": "sample string 12",
      "db_address_id": "efeee5b9-8cfe-45af-9d31-3460d5b15686",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "6e41263f-a306-4c38-9aeb-9dee3c25a67c",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "0617c5ef-e4c7-442c-8b1b-b8d768931c19",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-11-14T14:20:33.2179595+00:00",
      "date_create": "2026-11-14T14:20:33.2179595+00:00",
      "date_update": "2026-11-14T14:20:33.2179595+00:00",
      "updated_by_user_id": "1ef76a4e-b0a0-4821-8f1e-c8b99252c825",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-11-14T14:20:33.2179595+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-11-14T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-11-14T14:20:33.2179595+00:00",
      "date_last_job": "2026-11-14T14:20:33.2179595+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-11-14T14:20:33.2179595+00:00",
      "modified_dateutc": "2026-11-14T14:20:33.2179595+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "cbd2026f-4b28-454a-9bd3-d2f96615e22f",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "ec8c98b1-0d09-479d-a497-34ff809a179a",
      "name": "sample string 2",
      "sales_organization_id": "79a523b2-f774-415e-b209-080034adca70",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-11-14T14:20:33.2179595+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "661938d1-b085-4212-87e3-940f6d41d761",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "ceedf188-b51b-40f6-acdc-ec59df766442",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "0321044b-63a9-425e-b60d-588def575ee7",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "5dcc638a-e85c-4fed-8b93-b398d5f8f9b8",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "de2eb0bb-b893-42ff-9359-c89c638313db",
        "db_currency_id": "9b20e30c-d928-4cf1-b333-08c2d2ba53e8",
        "db_language_id": "82bdc1ae-5129-4268-b4ce-2756f36bd300",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-14T14:20:33.2054059+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-11-14T14:20:33.2179595+00:00"
    },
    "job_status_id": "888b847f-c8e7-4288-86d3-25d56e02286e",
    "job_status_code": "sample string 11",
    "db_address_id": "0993d2e5-4862-49e7-a9c7-e5c18fe11991",
    "contact_id": "fe921a39-985c-43bd-9751-8453e60da1c3",
    "requested_by_company_id": "be5d3528-5710-4164-9101-3052f79a6275",
    "requested_by_contact_id": "d38c7f6e-85b1-463f-b69d-c7496987b54a",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-11-14T14:20:33.2179595+00:00",
    "due_date": "2026-11-14T14:20:33.2179595+00:00",
    "date_create": "2026-11-14T14:20:33.2179595+00:00",
    "date_update": "2026-11-14T14:20:33.2179595+00:00",
    "date_closed": "2026-11-14T14:20:33.2179595+00:00",
    "suggested_user_id": "77bbe63c-3f16-4698-b08f-6bc908c73885",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "edec8faa-37b8-46bc-af0e-fc475c9abe7e",
      "db_language_id": "bc6c545b-5ea8-4ec0-bd16-2ce0680b6a86",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-11-14T14:20:33.2179595+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "6ada7a64-79da-4659-ac2b-84418d639215",
      "sales_organization": {
        "id": "5dcc638a-e85c-4fed-8b93-b398d5f8f9b8",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "de2eb0bb-b893-42ff-9359-c89c638313db",
        "db_currency_id": "9b20e30c-d928-4cf1-b333-08c2d2ba53e8",
        "db_language_id": "82bdc1ae-5129-4268-b4ce-2756f36bd300",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-14T14:20:33.2054059+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "5cd94b8b-486a-4a59-9962-a52f8d9d945f",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "49acf168-803a-4cbc-9b2c-f675f9a00d1d",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-11-14T14:20:33.2179595+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "ae2d4ec4-0cd0-48c0-a604-d161e4db5604"
    },
    "suggested_date_start": "2026-11-14T14:20:33.2345134+00:00",
    "skill_id": "543fbfc2-d878-4ac6-a86f-70808f3ac2f8",
    "skill_code": "sample string 32",
    "skill": {
      "id": "a72a94d6-c613-4001-9c64-46bbc04240f1",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "9f46596f-c24f-4b92-8cdb-51d2b94594e2",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "5dcc638a-e85c-4fed-8b93-b398d5f8f9b8",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "de2eb0bb-b893-42ff-9359-c89c638313db",
        "db_currency_id": "9b20e30c-d928-4cf1-b333-08c2d2ba53e8",
        "db_language_id": "82bdc1ae-5129-4268-b4ce-2756f36bd300",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-14T14:20:33.2054059+00:00"
      },
      "modified_dateutc": "2026-11-14T14:20:33.2345134+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "72f152f9-762f-4f2d-b3f4-9bf48f10efcf",
    "date_reported_by_company": "2026-11-14T14:20:33.2345134+00:00",
    "id2": 36,
    "company_id": "afc1ebd8-3d30-443d-8fc9-0514c145e9f7",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "0f43d462-4047-4ead-9166-479923900903",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-11-14T14:20:33.2345134+00:00"
  },
  "work_instruction_details_id": "b22aa48c-2c81-4b88-97b5-cc89e39c8c0a",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "9a364bad-22b9-4011-8a80-b0211a3ada43",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "8653eec5-6259-471d-b462-c3b5e9a0b753",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-11-14T14:20:33.2345134+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "a360fb36-40ee-4f9d-9911-10495087f6e2",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-11-14T14:20:33.2345134+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.